net.dontdrinkandroot.visualization.examples.xsd

## Class ComplexType

- java.lang.Object
- - net.dontdrinkandroot.visualization.examples.xsd.AbstractXsdElement
  - - net.dontdrinkandroot.visualization.examples.xsd.ComplexType

All Implemented Interfaces:
  TypeElement, XsdElement

    public class ComplexType
    extends AbstractXsdElement
    implements TypeElement

### Constructor Summary

Constructors
Constructor and Description
`ComplexType(String name)`

### Method Summary

### Methods inherited from class net.dontdrinkandroot.visualization.examples.xsd.AbstractXsdElement

`equals, getName, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.dontdrinkandroot.visualization.examples.xsd.XsdElement

`getName`

### Constructor Detail

#### ComplexType

    public ComplexType(String name)